org.apache.ode.bpel.pmapi

## Interface MockQueryRequestDocument.MockQueryRequest.Pattern

- All Superinterfaces:
    org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    MockQueryRequestDocumentImpl.MockQueryRequestImpl.PatternImpl
  Enclosing interface:
    MockQueryRequestDocument.MockQueryRequest

      public static interface MockQueryRequestDocument.MockQueryRequest.Pattern
      extends org.apache.xmlbeans.XmlString

  An XML pattern(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is an atomic type that is a restriction of org.apache.ode.bpel.pmapi.MockQueryRequestDocument$MockQueryRequest$Pattern.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MockQueryRequestDocument.MockQueryRequest.Pattern.Enum` Enumeration value class for org.apache.ode.bpel.pmapi.MockQueryRequestDocument$MockQueryRequest$Pattern.
    `static class` | `MockQueryRequestDocument.MockQueryRequest.Pattern.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MockQueryRequestDocument.MockQueryRequest.Pattern.Enum` | `IN_ONLY`
    `static MockQueryRequestDocument.MockQueryRequest.Pattern.Enum` | `IN_OUT`
    `static int` | `INT_IN_ONLY`
    `static int` | `INT_IN_OUT`
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
    `void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

    - #### IN_ONLY

          static final MockQueryRequestDocument.MockQueryRequest.Pattern.Enum IN_ONLY

    - #### IN_OUT

          static final MockQueryRequestDocument.MockQueryRequest.Pattern.Enum IN_OUT

    - #### INT_IN_ONLY

          static final int INT_IN_ONLY

      See Also:
        Constant Field Values

    - #### INT_IN_OUT

          static final int INT_IN_OUT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### enumValue

          org.apache.xmlbeans.StringEnumAbstractBase enumValue()

    - #### set

          void set(org.apache.xmlbeans.StringEnumAbstractBase e)